/*
 * Copyright (c) 2018 Renesas Electronics Corporation. All rights reserved.
 */


#include "reg_rcargen3.h"
#include "common.h"
#include "scifdrv0.h"
#include "scifdrv0_v3h.h"
#include "scifdrv2.h"
#include "init_scif.h"



void InitScif(void)
{
	uint32_t product;

	product = *((volatile uint32_t*)PRR) & PRR_PRODUCT_MASK;
	switch (product) {
	case PRR_PRODUCT_H3:	/* H3, M3 and M3N setting values are same */
	case PRR_PRODUCT_M3:
	case PRR_PRODUCT_M3N:
		InitScif2_SCIFCLK();
		break;
	case PRR_PRODUCT_D3:
		InitScif2_SCIFCLK_D3();
		break;
	case PRR_PRODUCT_V3M:
		InitScif0_SCIFCLK();
		break;
	case PRR_PRODUCT_V3H:
//		InitScif0_v3h_SCIFCLK();
		break;
	default:
		break;
	}
}
